Skip to main content
Nowledge MemNowledge Mem

Update Memory

PATCH
/memories/{memory_id}

Update memory properties like importance, title, and content.

Path Parameters

memory_id*Memory Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/memories/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "title": "string",  "content": "string",  "source": "string",  "time": "string",  "importance": 0,  "rating": 0,  "label_ids": [    "string"  ],  "is_favorite": false,  "source_thread": {    "id": "string",    "title": "string",    "space_id": "default"  },  "confidence": 0,  "space_id": "default",  "unit_type": "fact",  "metadata": {}}